import { DataFilterOptions, DataStateSelector } from "./models";
declare const _default: <TState, TFilterMap extends object, TDomain extends object>(stateSelector: DataStateSelector<TState, TFilterMap, TDomain>) => <TK extends keyof TFilterMap>(filterName: TK, { initialQuery, searchApi }: Partial<DataFilterOptions<TFilterMap[TK], TDomain>>) => {
    getFilterValue: <TF extends keyof TFilterMap[TK], TDefault extends TFilterMap[TK][TF] | undefined>(name: TF, defaultValue?: TDefault | undefined) => Partial<TFilterMap[TK]>[TF];
    getFilterInputProps: <TF extends keyof TFilterMap[TK]>(name: TF, defaultValue: TFilterMap[TK][TF]) => {
        name: TF;
        disabled: boolean;
        value: Partial<TFilterMap[TK]>[TF];
        onChange: (e: any) => void;
    };
    setPageIndex: (index: number) => void;
    setPageSize: (size?: number | undefined) => void;
    refresh: () => void;
    setInput: (changes: Partial<TFilterMap[TK]>) => void;
    setSortBy: (path: string, descending?: boolean | undefined) => void;
    lastEntered: import("./models").DataSpecs<any> | null;
    lastApplied: import("./models").DataSpecs<any> | null;
    lastRequest: import("./models").DataSpecs<any> | null;
    isLoading: boolean;
    total: number;
    matchKeys: string[];
    error: any;
};
export default _default;
